Ethiack Docs
Event scope

List Event URLs In Scope

GET
/v1/events/{event_slug}/scope/urls/

Retrieves all URLs in scope associated with a specific event.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

event_slug*string

The slug of the event whose assets are being queried.

Query Parameters

in_scope?boolean

Whether to include in-scope urls.

out_of_scope?boolean

Whether to include out-of-scope (i.e., not in-scope) urls.

page?integer

Page number

per_page?integer

Number of assets per page

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/events/string/scope/urls/"
{
  "urls": [
    "string"
  ]
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}